I am running simple ansible task which install php5-cli

- name: Install phpcli
  sudo: yes
  apt: pkg=php5-cli state=latest

but ansible say to me

stderr: E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-common_5.5.12+dfsg-2ubuntu4.1_i386.deb  404  Not Found

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

×
1 answer

You need to run apt-get update first to update the package links that apt has cached to the latest version. You can either run that manually or add update_cache=yes to your ansible task:

- name: Install phpcli
  sudo: yes
  apt: pkg=php5-cli state=latest update_cache=yes
Submit an Answer